Bug 179510 - Fix a few FIXMEs in WebFrameIOS
Summary: Fix a few FIXMEs in WebFrameIOS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Megan Gardner
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-11-09 16:02 PST by Megan Gardner
Modified: 2017-11-15 09:45 PST (History)
8 users (show)

See Also:


Attachments
Patch (3.05 KB, patch)
2017-11-09 16:11 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Patch (2.48 KB, patch)
2017-11-10 14:14 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-elcapitan (2.32 MB, application/zip)
2017-11-10 15:01 PST, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-elcapitan-wk2 (2.60 MB, application/zip)
2017-11-10 16:40 PST, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Megan Gardner 2017-11-09 16:02:31 PST
Fix a few FIXMEs in WebFrameIOS
Comment 1 Megan Gardner 2017-11-09 16:11:34 PST
Created attachment 326503 [details]
Patch
Comment 2 Darin Adler 2017-11-10 10:00:25 PST
Comment on attachment 326503 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=326503&action=review

> Source/WebKitLegacy/ios/ChangeLog:9
> +        I don't see that it's used anywhere, but no reason to leave things cluttered.

This does not seem like good rationale. If this method is definitely not used or this value is definitely not used, then it’s fine to change the code. If it is used, then we should not change it unless we’ve tested what effect the change has. You wrote a comment here “I don’t see that it's used” but I can’t figure out whether that means we are sure this change will have no effect. But to state the obvious, the behavior of the software is more important than the messiness of a FIXME comment.
Comment 3 Megan Gardner 2017-11-10 14:14:54 PST
Created attachment 326630 [details]
Patch
Comment 4 Build Bot 2017-11-10 15:01:25 PST
Comment on attachment 326630 [details]
Patch

Attachment 326630 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5182542

New failing tests:
webarchive/adopt-inline-styled-node-webarchive.html
Comment 5 Build Bot 2017-11-10 15:01:26 PST
Created attachment 326636 [details]
Archive of layout-test-results from ews102 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 6 Build Bot 2017-11-10 16:40:35 PST
Comment on attachment 326630 [details]
Patch

Attachment 326630 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5183702

New failing tests:
http/wpt/web-animations/timing-model/animations/updating-the-finished-state.html
Comment 7 Build Bot 2017-11-10 16:40:37 PST
Created attachment 326658 [details]
Archive of layout-test-results from ews106 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 8 Megan Gardner 2017-11-10 16:43:01 PST
This is literally only touching iOS code, these test cannot be broken due to this change.
Comment 9 WebKit Commit Bot 2017-11-11 18:46:35 PST
Comment on attachment 326630 [details]
Patch

Clearing flags on attachment: 326630

Committed r224734: <https://trac.webkit.org/changeset/224734>
Comment 10 WebKit Commit Bot 2017-11-11 18:46:36 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2017-11-15 09:45:16 PST
<rdar://problem/35562363>